"""MRIOutils URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.urls import path
from mri_users.views import logout_view, login_view, ManageUser, ManageMyAccount,\
    confirm_mail, resgister_refuse_with_reason,\
    register_accept, ManageAccount, delete_user, ChangeMyPassword,\
    ForgottentPassword, ChangePasswordWithLink, mail_change_accept,\
    mail_change_refuse_with_reason, Corbeille, restore_user, vider_corbeille,\
    lock_account, register_delete_unvalidated_mail, EditMail
from mri_links.views import ListeLiensView, EditLiensOutils, efface_lien
from mri_users.views import homepage as mri_users_homepage
from mri_users.views import register as mri_users_register
from mri_users.views import register_succes as mri_users_succes
from django.urls.conf import include

urlpatterns = [
    path('', mri_users_homepage, name='homepage'),
    path('inscription/', mri_users_register, name='inscription'),
    path('succes/', mri_users_succes, name='succes'),
    path('i18n/', include('django.conf.urls.i18n')),
    path('login/', login_view, name='login'),
    path('logout/', logout_view, name='logout'),
    path('manage_user/', ManageUser.as_view(), name='manage_user'),
    path('corbeille/', Corbeille.as_view(), name='corbeille'),
    path('vider_corbeille/', vider_corbeille, name='vider_corbeille'),
    path('manage_account/<int:user>', ManageAccount.as_view(), name='manage_account'),
    path('lock_account/<int:user>', lock_account, name='lock_account'),
    path('manage_my_account/', ManageMyAccount.as_view(), name='manage_my_account'),
    path('change_password/', ChangeMyPassword.as_view(), name='change_password'),
    path('manage_liens_outils/', ListeLiensView.as_view(), name='manage_liens_outils'),
    path('manage_liens_outils/edit_lien/', EditLiensOutils.as_view(), name='edit_lien_outils'),
    path('manage_liens_outils/edit_lien/<int:lien>/', EditLiensOutils.as_view(), name='edit_lien_outils'),
    path('delete_link/<int:lien_pk>', efface_lien, name='efface_lien'),
    path('<uuid:uuid>/', confirm_mail, name='confirm_mail'),
    path('refuse/<int:user_pk>', resgister_refuse_with_reason, name='refuse_register'),
    path('accept/<int:user_pk>', register_accept, name="register_accept"),
    path('register_delete_unvalidated_mail/<int:user_pk>', register_delete_unvalidated_mail, name="register_delete_unvalidated_mail"),
    path('mail_change_accept/<int:new_mail_pk>', mail_change_accept, name='mail_change_accept'),
    path('mail_change_refuse_with_reason/<int:new_mail_pk>', mail_change_refuse_with_reason, name='mail_change_refuse_with_reason'),
    path('delete_user/<int:user_pk>', delete_user, name='delete_user'),
    path('restore_user/<int:user_trash_pk>', restore_user, name='restore_user'),
    path('forgotten_password/', ForgottentPassword.as_view(), name='forgotten_password'),
    path('new_passwd/<uuid:uuid>/', ChangePasswordWithLink.as_view(), name='new_passwd'),
    path('edit_welcome_mail/', EditMail.as_view(), name='edit_welcome_mail'),
]
