'''
Created on 12 mai 2021

@author: laborie
'''
from django.test import TestCase
from model_bakery import baker
from mri_db_logger.models import ActionsLogs


class ActionsLogsTest(TestCase):
    """
    Test du modele ActionLogs
    """
    @classmethod
    def setUpTestData(cls):
        baker.make(ActionsLogs)

    def test_action_max_length(self):
        log = ActionsLogs.objects.get(id=1)
        max_length = log._meta.get_field('action').max_length
        self.assertEqual(max_length, 50)

    def test_user_null_default(self):
        log = ActionsLogs.objects.get(id=1)
        self.assertIsNone(log.user)
        
    def test_user_set_null_if_deleted(self):
        baker.make(ActionsLogs, _fill_optional=['user'])
        log = ActionsLogs.objects.get(id=2)
        log.user.delete()
        log.refresh_from_db()
        self.assertIsNone(log.user)
